export declare type Log = {
    message: string;
    detail: string;
    type: string;
    time: Date;
};
export declare type LoggerConfig = {
    whitelist?: string[];
    isSendToSlack?: boolean;
    slackUrl?: string;
    appName: string;
};
export declare type Request = {
    general: {
        url: string;
        method: 'PUT' | 'GET' | 'POST' | 'DELETE' | 'PATCH';
        time: string;
    };
    headers: Record<string, string> | undefined;
    resHeaders: Record<string, any> | undefined;
    data: Record<string, any> | undefined;
    requestInfo: {
        title: string;
        subTitle: string;
    };
    response: any;
    isError: boolean;
    time: Date;
};
export declare const request: any;
declare class Logger {
    #private;
    isSendToSlack: boolean;
    isApplyConsoleLog: boolean;
    slackUrl: string;
    appName: string;
    whitelist: string[];
    trackingLog: Log[];
    trackingRequest: Request[];
    debug: {
        log(message?: any, ...optionalParams: any[]): void;
        warn(message?: any, ...optionalParams: any[]): void;
        error(message?: any, ...optionalParams: any[]): void;
    };
    request: (options: my.IHttpRequestOptions<any>) => void;
    init({ isOverwriteLog, isOverwriteRequest, isApplyConsoleLog, config, }: {
        isOverwriteLog?: boolean;
        isApplyConsoleLog?: boolean;
        isOverwriteRequest?: boolean;
        config?: LoggerConfig;
    }): void;
}
declare const _default: Logger;
export default _default;
